Werk #4564

KomponenteAgent Bakery
TitelCompatibility fix for windows agent updater
Datum2017-08-23 10:34:29
Check_MK EditionCheck_MK Enterprise Edition (CEE)
Check_MK Version1.4.0p10,1.5.0i1
Level1 - Trivial Change
KlasseBug Fix
KompatibilitätKompatibel - benötigt keine manuelles eingreifen

The command cmk-update-agent sometimes fails with an error message like "Loadlibrary() argument 1 must be string not unicode error" when running on Windows. The error cause is an incompatibility within Python 2.7.13 and some Python libraries. We fix this issue by using Python 2.7.12 instead.